Loading...
Searching...
No Matches
seqan3::sam_file_program_info_t Struct Reference
IO » SAM File

Stores information of the program/tool that was used to create a SAM/BAM file. More...

`#include <seqan3/io/sam_file/header.hpp>`

## Public Attributes

std::string | command_line_call
| The command line call that produces the file.
std::string | description
| A description of the program and/or program call.
std::string | id
| A unique (file scope) id.
std::string | name
| The official name.
std::string | previous
| The id of the previous program if program calls were chained.
std::string | user_tags
| Additional user-defined tags.
std::string | version
| The program/tool version.

## Detailed Description

Stores information of the program/tool that was used to create a SAM/BAM file.

Remarks
  For a complete overview, take a look at SAM File

The documentation for this struct was generated from the following file:

- header.hpp

Hide me